#include "opengl.h"

void AM_OGL_SetupState()
{
	glMatrixMode(GL_MODELVIEW);
	glPushMatrix();

	if(time > 1 && time <= 2)
	{
		time = 2-time;
		glTranslatef(160, 100, 0);
		glScalef(.9+time*.1, .9+time*.1, 1);
		glTranslatef(-160, -100, 0);
		glColor4f(1, 1, 1, time);
		return;
	}

	glTranslatef(160, 100, 0);
	glScalef(2-time, 2-time, 1);
	glTranslatef(-160, -100, 0);
	glColor4f(1, 1, 1, time*time);
}

void AM_OGL_RestoreState()
{
	glMatrixMode(GL_MODELVIEW);
	glPopMatrix();
}