// NewSession.cpp : implementation file
//

#include "stdafx.h"
#include "jtNet.h"
#include "NewSession.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNewSession dialog


CNewSession::CNewSession(CWnd* pParent /*=NULL*/)
	: CDialog(CNewSession::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNewSession)
	m_numPlrs = 0;
	m_sessionName = _T("");
	//}}AFX_DATA_INIT
}


void CNewSession::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewSession)
	DDX_Control(pDX, IDC_PLR_SPIN, m_spin);
	DDX_Text(pDX, IDC_NUM_PLAYERS, m_numPlrs);
	DDV_MinMaxInt(pDX, m_numPlrs, 1, 100);
	DDX_Text(pDX, IDC_SESSION_NAME, m_sessionName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNewSession, CDialog)
	//{{AFX_MSG_MAP(CNewSession)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewSession message handlers

BOOL CNewSession::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_spin.SetRange(1, m_numPlrs);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
