// PlayersDlg.cpp : implementation file
//

#include "stdafx.h"
#include "jtNet.h"
#include "PlayersDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPlayersDlg dialog


CPlayersDlg::CPlayersDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPlayersDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPlayersDlg)
	m_sessionName = _T("");
	//}}AFX_DATA_INIT
}


void CPlayersDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPlayersDlg)
	DDX_Control(pDX, IDC_LIST1, m_list);
	DDX_Text(pDX, IDC_SESSION_NAME, m_sessionName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPlayersDlg, CDialog)
	//{{AFX_MSG_MAP(CPlayersDlg)
	ON_WM_CLOSE()
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPlayersDlg message handlers

BOOL CPlayersDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	SetTimer(1, 1000, NULL);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CPlayersDlg::OnClose() 
{
	KillTimer(timerId);
	
	CDialog::OnClose();
}

void CPlayersDlg::OnTimer(UINT nIDEvent) 
{
	if(nIDEvent == 1)
	{
		jtEnumeratePlayers();
		m_list.ResetContent();
		for(int i=0; i<numPlayers; i++)
		{
			CString str;
			if(!strcmp(players[i].name, ""))	// No name?
				str.Format("Player #%d", players[i].id);
			else
				str = players[i].name;
			m_list.AddString(str);
		}
	}
	CDialog::OnTimer(nIDEvent);
}
