// ServiceDlg.cpp : implementation file
//

#include "stdafx.h"
#include "jtNet.h"
#include "ServiceDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CServiceDlg dialog


CServiceDlg::CServiceDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CServiceDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CServiceDlg)
	m_listSel = -1;
	//}}AFX_DATA_INIT
}


void CServiceDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CServiceDlg)
	DDX_Control(pDX, IDC_LIST1, m_list);
	DDX_LBIndex(pDX, IDC_LIST1, m_listSel);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CServiceDlg, CDialog)
	//{{AFX_MSG_MAP(CServiceDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CServiceDlg message handlers

BOOL CServiceDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// Insert the service provider names in the list box.
	for(int i=0; i<numConnections; i++)
	{
		jtnetcon_t *con = connections + i;
		m_list.AddString(con->name);
	}
	if(numConnections) m_list.SetCurSel(0);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
